### Property

# Adw OverlaySplitView:pin-sidebar

since: 1.4

#### Declaration

    property pin-sidebar: gboolean [ read, write ]

#### Description [src]

Whether the sidebar widget is pinned.

By default, collapsing `self` automatically hides the sidebar widget, and uncollapsing it shows the sidebar. If set to `TRUE`, sidebar visibility never changes on its own.

Type:`gboolean`

Available since: 1.4

Default value | FALSE
Getter method | `adw_overlay_split_view_get_pin_sidebar()`
Setter method | `adw_overlay_split_view_set_pin_sidebar()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no